## eztrace-contrib 1.0.5

=== debian/changelog ===
eztrace-contrib (1.0.5-3) unstable; urgency=medium

  * rules: Do not strip modules for pptrace auto-load, otherwise they won't be
    loadable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jan 2015 14:52:50 +0100

eztrace-contrib (1.0.5-2) unstable; urgency=medium

  * patches/libtool-path: Fix path to libtool (Closes: Bug#774609).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Jan 2015 13:15:05 +0100

eztrace-contrib (1.0.5-1) unstable; urgency=medium

  * eztrace contrib build upload.
    - New libeztrace0-contrib containing the CUDA module.
  * New upstream release.
    - patches/fix_fortran_mpi_scatterv.patch: Remove, fixed upstream.
    - patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch:
    Remove, fixed upstream.
    - patches/rpath: Remove, fixed upstream.
    - patches/static-bfd: Refresh.
  * rules: Fix calling testsuite.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 17:23:49 +0200

eztrace (1.0.1-2) unstable; urgency=medium

  * patches/fix_fortran_mpi_scatterv.patch: Patch from Bertrand Putigny to fix
    the MPIF_Scatterv call.
  * patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch: Patch
    from Bertrand Putigny to fix fortran mpi communications using MPI_IN_PLACE.
  * rules: Add parallel build support.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 15:12:50 +0200

eztrace (1.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Do not depend on openmpi on s390x (Closes: Bug#754624).
  * rules: Do not build against openmpi on s390x. Drop duplicate
  --with-mpi-include option. Run the testsuite against openmpi on other archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Jul 2014 16:29:46 +0200

eztrace (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing zlib1g-dev build-dependency.
  * debian/copyright: Update, eztrace is now CeCILL-B instead of GPL2.
  * debian/rules: Build both mpich and openmpi MPI modules.
  * debian/control: Build-Depend on both mpich and openmpi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jun 2014 09:47:38 +0200

eztrace (1.0~rc4-3-1) experimental; urgency=medium

  * New upstream half-release.
  * Disable pptrace on i386 too, as it is missing the MMAP_SYSCALLS
    definition. Enable it on arm, which now support it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 13:45:12 +0200

eztrace (1.0~rc4-2-1) experimental; urgency=medium

  * New upstream half-release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 11:08:49 +0200

eztrace (1.0~rc4-1) experimental; urgency=medium

  * New upstream release.
    - patches/bibliography: Remove patch, fixed upstream
  * control: Add missing binutils-dev and litl-tools build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jun 2014 18:04:42 +0200

eztrace (1.0~rc3-1) experimental; urgency=medium

  * New upstream release.
    - patches/{libdir,link}: Remove patch, fixed upstream.
    - patches/bibliography: Fix building the documentation.
  * Do not install static libraries.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Jun 2014 09:13:23 +0200

eztrace (1.0~rc1-2) experimental; urgency=medium

  * Depend on libpapi-dev only on Linux archs, and not on s390x.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 May 2014 18:46:40 +0200

eztrace (1.0~rc1-1) experimental; urgency=low

  * New upstream release.
    - patches/manpages, test-fix, mpi-fix, mpi3, pptrace-option,
    clang-ftbfs: Drop, integrated upstream.
    - control: Replace libfxt-dev build-depend with liblitl-dev.
    - rules: Replace fxt with litl.
  * patches/link: New patch, fix missing link againt liblitl.
  * patches/rpath: New patch, drop /usr/lib rpath.
  * control: Build-depend on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 May 2014 23:43:05 +0200

eztrace (0.9.1-6) unstable; urgency=low

  [ Arthur Marble ]
  * Fix FTBFS with clang (Closes: #743007).
    - Fixed the conflicting types error in
      src/core/eztrace_convert_core.c: moved a function above before where it is
      called.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2014 17:14:00 +0200

eztrace (0.9.1-5) unstable; urgency=low

  * control: Replace binutils-dev build-dependency with libiberty-dev for
    libiberty.a
    (Closes: #730945).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Dec 2013 16:31:23 +0100

eztrace (0.9.1-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/static-bfd: Link against libbfd statically to avoid rebuilding on
    each and every binutils upload (Closes: #728084).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Nov 2013 16:05:36 +0100

eztrace (0.9.1-3) unstable; urgency=medium

  * patches/manpages: Import manpages from upstream trunk.
  * control: Make eztrace depend on the same version of libeztrace0.
  * patches/libdir: Fix autostart load by fixing multiarch libdir.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Oct 2013 19:01:27 +0200

eztrace (0.9.1-2) unstable; urgency=low

  * patches/pptrace-option: Add --without-pptrace option.
  * rules: Disable pptrace on non-linux-x86 ports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Sep 2013 00:23:00 +0200

eztrace (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - patches/parameter_parsing_crash: Drop, merged upstream.
    - docs: Add README.stats.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Sep 2013 17:33:34 +0200

eztrace (0.9-1) unstable; urgency=low

  * New upstream release.
    - patches/gtg: Remove, fixed upstream.
    - patches/extlib: Refresh.
    - control: switch to opari2.
  * Bump Standards-Version to 3.9.4 (no changes).
  * rules: Disable PIE hardening, it makes the static test module hang.
  * patches/test-fix: Fix test segfault.
  * patches/plugins-abi-version: Fix static test module too.
  * patches/mpi-fix: Fix list issue in MPI conversion.

