=== debian/control ===
Source: eztrace-contrib
Section: contrib/devel
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
 hardening-wrapper, gfortran,
 libiberty-dev, binutils-dev, zlib1g-dev,
 nvidia-cuda-toolkit, libcupti-dev, python, mesa-common-dev,
 fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
 libpapi-dev [!s390x !kfreebsd-any !hurd-any],
 libmpich-dev, libopenmpi-dev [!s390x], mpi-default-bin
Build-Conflicts: libeztrace0
Standards-Version: 3.9.5
Homepage: http://eztrace.gforge.inria.fr/
Vcs-Git: git://git.debian.org/collab-maint/eztrace.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/eztrace.git;a=summary

Package: libeztrace0-contrib
Section: contrib/libs
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - development files
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files depending on CUDA.
