## eztrace-contrib 1.1-2

=== debian/changelog ===
eztrace-contrib (1.1-2-1ubuntu1) xenial; urgency=medium

  * Add -D_FORCE_INLINES to CPPFLAGS to fix FTBFS.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2016 14:12:13 +0200

eztrace-contrib (1.1-2-1build1) xenial; urgency=medium

  * No-change rebuild for CUDA 7.5.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 30 Mar 2016 18:43:54 +0200

eztrace-contrib (1.1-2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Clear.
  * patches/static-bfd: Fix multiarch path.
  * patches/pptrace_symbol: Drop protected attribute, now useless and doesn't
  work with cuda.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Feb 2016 12:57:39 +0100

eztrace (1.1-1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#804838).
    - patches/x32: Remove, merged upstream.
    - patches/no-rpath: Refresh.
    - patches/cupti: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Dec 2015 14:14:37 +0100

eztrace (1.1-3) unstable; urgency=medium

  * control: Drop hardening-wrapper build dependency.
  * compat: Bump to 9.
  * rules:
    - Replace hardening-wrapper variables with dpkg-buildflags variables.
    - Disable parallelism in testsuite.
  * patches/static-bfd: Fix path to libbfd.a (Closes: Bug#807036)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2015 00:00:45 +0100

eztrace (1.1-2) unstable; urgency=medium

  * Fix x32 detection.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Oct 2015 15:58:59 +0200

eztrace (1.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#798753).
    - control: Add libstarpu-dev build-dep.
    - rules: Pass --with-starpu=/usr

  [ bartm ]
  * watch: generalize URL and mangle rc tag.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Oct 2015 16:45:46 +0200

eztrace (1.1~rc1-2) experimental; urgency=medium

  * patches/git-a19e5ed-nopptrace: Cherry-pick upstream fix to disable pptrace
    on unsupported systems.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 May 2015 09:47:27 +0200

eztrace (1.1~rc1-1) experimental; urgency=medium

  * New upstream release
    - patches/{git-0cb79edc3411c0e04e411d7c8f60a6596632a4ea,
    git-8be2d52dfe036666a75160aa33531a52d5f2257a, git-ebe444a, libdir,
    no-armv7.patch: Remove patches, merged upstream.
    - patches/{no-libpomp, static-bfd}: Refresh.
    - control: Add pkg-config build-dep.
      Disable papi build-dep on some d-p archs.
    - rules: Remove strip hack, fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:00:47 +0200

eztrace (1.0.6-6) unstable; urgency=medium

  * Update architecture lists from dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 14:20:32 +0200

eztrace (1.0.6-5) unstable; urgency=medium

  * patches/git-1f988a88ea495623164c073d5bd99220b4b3fcde: Cherry-pick from
    upstream to fix gcc-5 build (Closes: Bug#777847).
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Jun 2015 23:46:06 +0200

eztrace (1.0.6-4) unstable; urgency=medium

  * patches/libdir: Fix plugin path search for the pptrace case
    (closes: Bug#775286).
  * rules: Do not strip modules for pptrace auto-load, otherwise they won't be
    loadable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jan 2015 14:52:50 +0100

eztrace (1.0.6-3) unstable; urgency=medium

  * patches/git-ebe444a: Cherry-pick from upstream to fix uninitialized value.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Dec 2014 22:56:57 +0100

eztrace (1.0.6-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Remove -march=armv7-a from CFLAGS (Closes: Bug#770793).

  [ Samuel Thibault ]
  * Only enable pptrace support (which needs armv7) on armhf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Nov 2014 14:38:20 +0100

eztrace (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches/git-0cb79edc3411c0e04e411d7c8f60a6596632a4ea: Fix bogus
    parameters (Closes: Bug#760502).
  * patches/git-8be2d52dfe036666a75160aa33531a52d5f2257a: Fix licence
    advertised in documentation.
  * patches/pptrace, non_linux: Remove, merged upstream.
  * patches/check: Remove, fixed upstream.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Oct 2014 15:56:45 +0200

eztrace (1.0.5-3) unstable; urgency=medium

  * Disable EZTRACE_SIGALRM on !linux.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Sep 2014 15:43:43 +0200

eztrace (1.0.5-2) unstable; urgency=medium

  * Fix disabling pptrace on !linux !amd64 !arm.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 18:05:24 +0200
