=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: eztrace-contrib
 Section: contrib/devel
 Priority: extra
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
- hardening-wrapper, gfortran,
- libiberty-dev, binutils-dev, zlib1g-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
+ gfortran,
+ libiberty-dev, binutils-dev (>= 2.25.51.20151113-1~), zlib1g-dev,
  nvidia-cuda-toolkit, libcupti-dev, python, mesa-common-dev,
  fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
- libpapi-dev [!s390x !kfreebsd-any !hurd-any],
- libmpich-dev, libopenmpi-dev [!s390x], mpi-default-bin
+ libstarpu-dev,
+ libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el ppc64],
+ libmpich-dev, libopenmpi-dev [alpha amd64 armel armhf arm64 i386 ia64 powerpc powerpcspe ppc64 ppc64el sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 mips64 mips64el mips mipsel], mpi-default-bin
 Build-Conflicts: libeztrace0
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://eztrace.gforge.inria.fr/
 Vcs-Git: git://git.debian.org/collab-maint/eztrace.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/eztrace.git;a=summary
