## eztrace-contrib 1.1-5

=== debian/changelog ===
eztrace-contrib (1.1-5-5) unstable; urgency=medium

  * patches/nvcc: Take into account NVCCFLAGS, and pass -ccbin clang-3.8
    there (Closes: #852092).
  * control: Build-Depend on clang-3.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 21:02:31 +0100

eztrace (1.1-5-5) unstable; urgency=medium

  * rules: Fix multiarch path to openmpi headers.
  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jan 2017 20:40:01 +0100

eztrace (1.1-5-4) experimental; urgency=medium

  * Apply upstream fix for PIE
  * rules: re-enable PIE.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2016 18:08:16 +0100

eztrace (1.1-5-3) unstable; urgency=medium

  * rules: Fix passing other hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Oct 2016 11:14:03 +0200

eztrace (1.1-5-2) unstable; urgency=medium

  * starpu-1.2: Fix build against starpu-1.2.
  * rules: Really disable pie.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 21:55:10 +0200

eztrace (1.1-5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2016 23:39:12 +0200

eztrace (1.1-3-1) unstable; urgency=medium

  * New upstream release.
    - series: drop pptrace_symbol and config-fortran, merged upstream.
  * patches/static-bfd: Fix linking statically with libopcodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:34:43 +0200

eztrace (1.1-2-2) unstable; urgency=medium

  * Drop hardcoded openmpi availability, thanks Mattia Rizzolo for the
    suggestion.
    - control: Use mpi-defaults-dev instead of using a hardcoded condition on
    mpi-defaults-dev
    - rules: Include /usr/share/mpi-default-dev/debian_defaults and use
    ARCH_DEFAULT_MPI_IMPL instead of hardcoding architectures.
  * Add mips64el and x32 arch to papi dependency (Closes: Bug#814782).
  * patches/config-fortran: Cherry-pick upstream patch to fix fortran issue in
    configure (Closes: Bug#820863).
  * control: Make libeztrace-dev depend on liblitl-dev.
  * libeztrace-dev: Install usr/include/ev_codes.h too.
  * control: Bump Standards-Version to 3.9.8 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:02:44 +0200

eztrace (1.1-2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Clear.
  * patches/static-bfd: Fix multiarch path (Closes: Bug#807036).
  * patches/pptrace_symbol: Drop protected attribute, now useless and doesn't
  work with cuda.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Feb 2016 12:57:39 +0100
