=== debian/control ===
Source: eztrace-contrib
Section: contrib/devel
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
 gfortran,
 libiberty-dev, binutils-dev (>= 2.25.51.20151113-1~), zlib1g-dev,
 nvidia-cuda-toolkit, clang-3.8, libcupti-dev, python, mesa-common-dev,
 fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.3~), litl-tools,
 libstarpu-dev,
 libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el mips64el ppc64 x32],
 libmpich-dev, mpi-default-dev, mpi-default-bin
Build-Conflicts: libeztrace0
Standards-Version: 3.9.8
Homepage: http://eztrace.gforge.inria.fr/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/eztrace.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/eztrace.git

Package: libeztrace0-contrib
Section: contrib/libs
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - development files
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files depending on CUDA.
