=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,21 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH_CPU=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FORCE_INLINES
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifeq ($(DEB_HOST_ARCH_CPU),s390x)
+include /usr/share/mpi-default-dev/debian_defaults
+
+ifeq ($(ARCH_DEFAULT_MPI_IMPL),openmpi)
+OPENMPI=yes
+else
 OPENMPI=no
-else
-OPENMPI=yes
 endif
 
 CONFIGURE_ENV=CUPTI_ROOT=/usr
 CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
+
+export NVCCFLAGS = "-ccbin clang-3.8"
 
 %:
 	dh $@ --parallel --with autoreconf
