## eztrace-contrib 1.1-7

=== debian/changelog ===
eztrace-contrib (1.1-7-5build1) bionic; urgency=medium

  * No-change rebuild against CUDA 9.1

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 05 Mar 2018 23:17:53 +0000

eztrace-contrib (1.1-7-5) unstable; urgency=medium

  * control: Bump to CUDA 9.
  * rules: Use gcc 6 for nvcc.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 12 Jan 2018 10:26:49 +0100

eztrace (1.1-7-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * patches/armel-ftbfs.patch: Fix build on armel (Closes: Bug#881355)

  [ Samuel Thibault ]
  * patches/non-linux: Fix build on non-Linux and x32.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 19:32:55 +0100

eztrace (1.1-7-3) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Complete fix for hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Nov 2017 18:42:45 +0100

eztrace (1.1-7-2) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Fix hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Nov 2017 13:45:43 +0100

eztrace (1.1-7-1) unstable; urgency=medium

  * New upstream release.
    - patches/pie: Remove, merged upstream.
    - patches/starpu-1.2: Remove, merged upstream.
    - patches/no-libpomp: Refresh.
    - patches/static-bfd: Refresh.
    - patches/binutils_2.29: Remove, merged upstream.
    - control: Bump liblitl-dev dependency.
  * control: Bump binutils dependency appropriately.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:01:25 +0100

eztrace (1.1-5-6) unstable; urgency=medium

  * patches/binutils_2.29: Fix build with binutils (>= 2.29) (Closes:
    Bug#871151).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 15:29:16 +0200
