=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 CONFIGURE_ENV=CUPTI_ROOT=/usr
 CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
 
-export NVCCFLAGS = "-ccbin clang-3.8"
+#export NVCCFLAGS = "-ccbin clang-3.8"
+export NVCCFLAGS = "-ccbin gcc-6"
 
 %:
 	dh $@ --parallel --with autoreconf
