## eztrace-contrib 1.1-8

=== debian/changelog ===
eztrace-contrib (1.1-8-6+contrib) unstable; urgency=medium

  * debian/libeztrace0-contrib.lintian-overrides: Silence warning.
  * watch: Generalize pattern.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Build-depend on nvidia-cuda-toolkit-gcc to make sure we have a
    compiler that nvcc can work with (Closes: Bug#955795)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 May 2020 12:17:51 +0200

eztrace-contrib (1.1-8-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/binutils-2.34: Fix build against binutils 2.34 (Closes: Bug#951883)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2020 22:29:56 +0100

eztrace-contrib (1.1-8-5+contrib) unstable; urgency=medium

  * rules: Bump g++ version to 7.
  * patches/python3, control: Use python3 (Closes: Bug#936500)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Aug 2019 10:03:55 +0200

eztrace-contrib (1.1-8-5) unstable; urgency=medium

  * control: Make sure we build against starpu-1.3.
  * patches/starpu-1.3: Complete.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:31:34 +0200

eztrace-contrib (1.1-8-4) unstable; urgency=medium

  * patches/starpu-1.3: Fix build with starpu-1.3.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2019 17:16:31 +0200

eztrace-contrib (1.1-8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * rules: Set includedir to multi-arch, to avoid eztrace_config.h conflict
    between archs.
  * rules: Trick nvcc into compiling with g++ 8.
  * control: Do not build-depend on gcc 6 (Closes: #892389)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:51:14 +0100

eztrace-contrib (1.1-8-2) unstable; urgency=medium

  * debian/patches/ptrace-arm: Disable ptrace on armhf, it seems to hang there
    (Closes: Bug#909659).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Sep 2018 11:08:02 +0200

eztrace-contrib (1.1-8-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/armel-ftbfs.patch: Upstreamed.
    - debian/patches/big-endian-fix: Upstreamed.
    - debian/patches/nvcc: Upstreamed.
  * Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2018 09:49:19 +0200

eztrace-contrib (1.1-7-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * patches/armel-ftbfs.patch: Fix build on armel (Closes: Bug#881355)

  [ Samuel Thibault ]
  * patches/non-linux: Fix build on non-Linux and x32.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Nov 2017 19:32:55 +0100

eztrace-contrib (1.1-7-3) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Complete fix for hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Nov 2017 18:42:45 +0100

eztrace-contrib (1.1-7-2) unstable; urgency=medium

  [ François Trahay ]
  * patches/big-endian-fix: Fix hang on big-endian archs (Closes: Bug#880266)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Nov 2017 13:45:43 +0100

eztrace-contrib (1.1-7-1) unstable; urgency=medium

  * New upstream release.
    - patches/pie: Remove, merged upstream.
    - patches/starpu-1.2: Remove, merged upstream.
    - patches/no-libpomp: Refresh.
    - patches/static-bfd: Refresh.
    - patches/binutils_2.29: Remove, merged upstream.
    - control: Bump liblitl-dev dependency.
  * control: Bump binutils dependency appropriately.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 17:01:25 +0100

eztrace-contrib (1.1-5-6) unstable; urgency=medium

  * patches/binutils_2.29: Fix build with binutils (>= 2.29) (Closes:
    Bug#871151).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 15:29:16 +0200

eztrace-contrib (1.1-5-4) experimental; urgency=medium

  * Apply upstream fix for PIE
  * rules: re-enable PIE.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2016 18:08:16 +0100

eztrace-contrib (1.1-5-3) unstable; urgency=medium

  * rules: Fix passing other hardening flags.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Oct 2016 11:14:03 +0200

eztrace-contrib (1.1-5-2) unstable; urgency=medium

  * starpu-1.2: Fix build against starpu-1.2.
  * rules: Really disable pie.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Oct 2016 21:55:10 +0200

eztrace-contrib (1.1-5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2016 23:39:12 +0200

eztrace-contrib (1.1-3-1) unstable; urgency=medium

  * New upstream release.
    - series: drop pptrace_symbol and config-fortran, merged upstream.
  * patches/static-bfd: Fix linking statically with libopcodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:34:43 +0200

eztrace-contrib (1.1-2-2) unstable; urgency=medium

  * Drop hardcoded openmpi availability, thanks Mattia Rizzolo for the
    suggestion.
    - control: Use mpi-defaults-dev instead of using a hardcoded condition on
    mpi-defaults-dev
    - rules: Include /usr/share/mpi-default-dev/debian_defaults and use
    ARCH_DEFAULT_MPI_IMPL instead of hardcoding architectures.
  * Add mips64el and x32 arch to papi dependency (Closes: Bug#814782).
  * patches/config-fortran: Cherry-pick upstream patch to fix fortran issue in
    configure (Closes: Bug#820863).
  * control: Make libeztrace-dev depend on liblitl-dev.
  * libeztrace-dev: Install usr/include/ev_codes.h too.
  * control: Bump Standards-Version to 3.9.8 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:02:44 +0200

eztrace-contrib (1.1-1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#804838).
    - patches/x32: Remove, merged upstream.
    - patches/no-rpath: Refresh.
    - patches/cupti: Remove, merged upstream.


