=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Build-Depends: debhelper (>= 9~), dh-autoreconf, pkg-config,
  gfortran,
  libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
- nvidia-cuda-toolkit (>= 9~),
- gcc-6, g++-6,
-# clang-3.8,
- libcupti-dev, python, mesa-common-dev,
+ nvidia-cuda-toolkit-gcc (>= 9~),
+# gcc-7, g++-7,
+# clang-5.0,
+ libcupti-dev, python3, mesa-common-dev,
  fxt-tools, libgtg-dev, libpomp2-dev, liblitl-dev (>= 0.1.9~), litl-tools,
- libstarpu-dev,
+ libstarpu-dev (>= 1.3~),
  libpapi-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el mips64el ppc64 x32],
  libmpich-dev, mpi-default-dev, mpi-default-bin
 Build-Conflicts: libeztrace0
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Homepage: http://eztrace.gforge.inria.fr/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/eztrace.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/eztrace.git
+Vcs-Git: https://salsa.debian.org/debian/eztrace.git -b contrib
+Vcs-Browser: https://salsa.debian.org/debian/eztrace/tree/contrib
 
 Package: libeztrace0-contrib
 Section: contrib/libs
