=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
+include /usr/share/dpkg/architecture.mk
 include /usr/share/mpi-default-dev/debian_defaults
 
 ifeq ($(ARCH_DEFAULT_MPI_IMPL),openmpi)
@@ -13,10 +12,11 @@
 endif
 
 CONFIGURE_ENV=CUPTI_ROOT=/usr
-CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr
+CONFIGURE=--with-cuda=/usr --with-litl=/usr --with-gtg=/usr --with-starpu=/usr --includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 
-#export NVCCFLAGS = "-ccbin clang-3.8"
-export NVCCFLAGS = "-ccbin gcc-6"
+#export NVCCFLAGS = "-ccbin clang-5.0"
+#export NVCCFLAGS = "-ccbin gcc-7"
+export NVCCFLAGS = "--compiler-options -std=c++03 --compiler-options -D__GNUC__=7"
 
 %:
 	dh $@ --parallel --with autoreconf
