=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d*)$/~$1/ \
https://gforge.inria.fr/frs/?group_id=2774 \
(?:|.*/)eztrace(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
